﻿using FaceBook_Login_MVC.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

using ASPSnippets.FaceBookAPI;
using System.Web.Script.Serialization;

namespace FaceBook_Login_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            FaceBookConnect.API_Key = "<Your API Key>";
            FaceBookConnect.API_Secret = "<Your API Secret>";
            FaceBookConnect.Version = "v19.0";

            FaceBookUser faceBookUser = new FaceBookUser();
            if (Request.QueryString["error"] == "access_denied")
            {
                ViewBag.Message = "User has denied access.";
            }
            else
            {
                string code = Request.QueryString["code"];
                if (!string.IsNullOrEmpty(code))
                {
                    string data = FaceBookConnect.Fetch(code, "me", "id,name,email,picture");
                    faceBookUser = new JavaScriptSerializer().Deserialize<FaceBookUser>(data);
                    faceBookUser.IsDisable = true;
                }
            }

            return View(faceBookUser);
        }

        [HttpPost]
        public EmptyResult Login()
        {
            FaceBookConnect.Authorize("user_photos,email", string.Format("{0}://{1}/{2}", Request.Url.Scheme, Request.Url.Authority, "Home/Index/"));
            return new EmptyResult();
        }
    }
}